## org.eclipse.wst.server.core.model
Class ModuleArtifactDelegate

    java.lang.Object
      org.eclipse.wst.server.core.model.ModuleArtifactDelegate

All Implemented Interfaces:
  IModuleArtifact

Direct Known Subclasses:
  EJBBean, JndiObject, NullModuleArtifact, Servlet, WebResource

    public abstract class ModuleArtifactDelegate

extends java.lang.Object
implements IModuleArtifact

A module artifact is a resource within a module, which can be launched on the server. Examples of module artifacts are servlets, HTML pages, or EJB beans.

Objects that provide an adapter to this type will be considered by the contextual Run on Server launch support.

Subclasses should provide a default (no-arg) constructor, implement the serialize/deserialize methods, and provide a useful name.

Since:
  2.0
See Also:
  `ModuleArtifactAdapterDelegate`

Constructor Summary
`ModuleArtifactDelegate()` Create a new module artifact.
`ModuleArtifactDelegate(IModule module)` Create a new module artifact.

Method Summary
`void` `deserialize(java.lang.String s)` Deserialize this object from a serialized string.
`IModule` `getModule()` Returns the module that this artifact is a part of.
`abstract java.lang.String` `getName()` Returns a user-presentable name for this artifact.
`java.lang.String` `serialize()` Serialize this object into a string.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuleArtifactDelegate

    public ModuleArtifactDelegate(IModule module)

  Create a new module artifact.

  Parameters:
    `module` - a module

### ModuleArtifactDelegate

    public ModuleArtifactDelegate()

  Create a new module artifact.

Method Detail

### getModule

    public IModule getModule()

  Description copied from interface: `IModuleArtifact`
  Returns the module that this artifact is a part of.

  Specified by:
    `getModule` in interface `IModuleArtifact`
  Returns:
    the module that this artifact is contained in
  See Also:
    `IModuleArtifact.getModule()`

### getName

    public abstract java.lang.String getName()

  Returns a user-presentable name for this artifact.

  Returns:
    a user-presentable name

### serialize

    public java.lang.String serialize()

  Serialize this object into a string.

  Returns:
    a serialized string

### deserialize

    public void deserialize(java.lang.String s)

  Deserialize this object from a serialized string.

  Parameters:
    `s` - a serialized string.